# phpDox - LogicException

# \LogicException

####

## Synopsis

class LogicException extends Exception {

- // methods
- public final string getMessage()
- public final Throwable getPrevious()
- public final mixed getCode()
- public final string getFile()
- public final int getLine()
- public final array getTrace()
- public final string getTraceAsString()
- public string __toString()
- final void __clone()

}

## Hierarchy

#### Extends

- Exception

## Methods

#### public

- __toString()
- getCode()
- getFile()
- getLine()
- getMessage()
- getPrevious()
- getTrace()
- getTraceAsString()